Get Application Variant Report
curl --request GET \
--url https://api.egp.scale.com/v4/application-variant-reports/{application_variant_report_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v4/application-variant-reports/{application_variant_report_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/application-variant-reports/{application_variant_report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"async_jobs": [
{
"id": "<string>",
"job_type": "application-variant-report-generation",
"status": "Pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"completed": 123,
"failed": 123,
"pending": 123
},
"job_metadata": {}
}
],
"evaluation_datasets": [
{
"generation_status": "Pending",
"evaluation_dataset_version_num": 123,
"evaluation_dataset": {
"name": "<string>",
"schema_type": "GENERATION",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"knowledge_base_id": "<string>",
"evaluation_dataset_metadata": {},
"out_of_date": true,
"vendor": "scale",
"archived_at": "2023-11-07T05:31:56Z",
"schema_sub_type": "summarization"
},
"scored_test_case_count": 123
}
],
"score": 123,
"category_scores": [
{
"category": "accuracy",
"metric_scores": [
{
"metric_type": "answer-correctness",
"category": "accuracy",
"score": 123
}
],
"score": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
Get Application Variant Report
Description
Gets the details of a application variant report
Details
This API can be used to get information about a single application variant report by ID. To use this API, pass in the id that was returned from your Create Application Variant Report API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
application-variant-reports
/
{application_variant_report_id}
Get Application Variant Report
Authorizations
Path Parameters
Query Parameters
Available options:
AsyncJobs Response
Successful Response
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The date and time when the entity was last updated in ISO format.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
category_scores
(ApplicationCategoryScoreAccuracy · object | ApplicationCategoryScoreRetrieval · object | ApplicationCategoryScoreQuality · object | ApplicationCategoryScoreTrustAndSafety · object)[]
- ApplicationCategoryScoreAccuracy
- ApplicationCategoryScoreRetrieval
- ApplicationCategoryScoreQuality
- ApplicationCategoryScoreTrustAndSafety
Show child attributes
Show child attributes

